## org.eclipse.emf.ecore.sdo
Interface InternalEDataObject

All Superinterfaces:
  DataObject, EDataObject, EObject, InternalEObject, Notifier, java.io.Serializable

All Known Implementing Classes:
  DynamicEDataObjectImpl, DynamicEStoreEDataObjectImpl, EChangeSummaryImpl, EChangeSummarySettingImpl, EDataObjectAnyTypeImpl, EDataObjectImpl, EDataObjectSimpleAnyTypeImpl, EStoreEDataObjectImpl

    public interface InternalEDataObject

extends EDataObject, InternalEObject

A representation of the model object 'Internal EData Object'.

See Also:
  `SDOPackage.getInternalEDataObject()`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `writeReplace()`

Methods inherited from interface org.eclipse.emf.ecore.sdo.EDataObject
`getInstanceProperties`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface commonj.sdo.DataObject

`createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, get, getBigDecimal, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getBytes, getBytes, getBytes, getChar, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDataObject, getDate, getDate, getDate, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInt, getInt, getInt, getList, getList, getList, getLong, getLong, getLong, getSequence, getSequence, getSequence, getShort, getShort, getShort, getString, getString, getString, getType, isSet, isSet, isSet, set, set, set, setBigDecimal, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBigInteger, setBoolean, setBoolean, setBoolean, setByte, setByte, setByte, setBytes, setBytes, setBytes, setChar, setChar, setChar, setDataObject, setDataObject, setDataObject, setDate, setDate, setDate, setDouble, setDouble, setDouble, setFloat, setFloat, setFloat, setInt, setInt, setInt, setList, setList, setList, setLong, setLong, setLong, setShort, setShort, setShort, setString, setString, setString, unset, unset, unset`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainerFeatureID, eDerivedStructuralFeatureID, eDirectResource, eGet, eGet, eInternalContainer, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSet, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### writeReplace

    java.lang.Object writeReplace()
                                  throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.